package cn.iocoder.yudao.framework.common.enums;

/**
 * 租户字典数据类型 1内置 2自定义
 */
public enum TenantDataTypeEnum {
    
    INNER(1, "内置"),
    CUSTOM(2, "自定义");

    private final Integer type;
    private final String name;

    TenantDataTypeEnum(Integer type, String name) {
        this.type = type;
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public String getName() {
        return name;
    }
}
