package cn.iocoder.yudao.module.bpm.api.definition;

import java.util.Map;

public interface BpmModelApi {

    /**
     * 复制模型，并部署流程
     *
     * @param modelKey      模型 key，有值时表示复制部署指定流程，为空时表示复制部署所有12个流程
     * @param modelTenantId 模型租户，有值时表示复制该租户的流程，为空时表示复制租户1的流程
     * @return 结果说明
     */
    Map<String, String> copyAndDeploy(String modelKey, String modelTenantId);
}
