package cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampseal.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 用印印章信息新增/修改 Request VO")
@Data
public class OaStampSealSaveReqVO {

    @Schema(description = "主键")
    private Long id;

    @Schema(description = "印章名称", example = "合同专用章")
    private String sealName;

    @Schema(description = "有效期起")
    private String startDate;

    @Schema(description = "有效期止")
    private String endDate;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "附件", example = "[1, 2]")
    private List<Long> fileIdList;

}