package cn.iocoder.yudao.module.bpm.dal.mysql.stamp.stampseal;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampseal.vo.OaStampSealPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.stamp.stampseal.OaStampSealDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 用印印章信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaStampSealMapper extends BaseMapperX<OaStampSealDO> {

    default PageResult<OaStampSealDO> selectPage(OaStampSealPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaStampSealDO>()
                .likeIfPresent(OaStampSealDO::getSealName, reqVO.getSealName())
                .eqIfPresent(OaStampSealDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(OaStampSealDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(OaStampSealDO::getId));
    }

}