package cn.iocoder.yudao.module.bpm.service.oa.out;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.out.vo.OaOutPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.out.vo.OaOutRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.out.vo.OaOutSaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskReturnReqVO;

/**
 * 公务外出流程信息 Service 接口
 *
 * @author dp
 */
public interface OaOutService {

    Long stagingOaOut(OaOutSaveReqVO stagingReqVO);

    Long commitOaOut(OaOutSaveReqVO commitReqVO);

    Long agreeOaOut(BpmTaskApproveReqVO agreeReqVO);

    Long disagreeOaOut(BpmTaskReturnReqVO disagreeReqVO);

    Long revocationOaOut(BpmTaskApproveReqVO revocationReqVO);

    Long reCommitOaOut(OaOutSaveReqVO reCommitReqVO);

    Long closeOaOut(Long id);

    void deleteOaOut(Long id);

    OaOutRespVO getOaOut(Long id);

    OaOutRespVO getOaOutByProcInstId(String procInstId);

    PageResult<OaOutRespVO> getOaOutPage(OaOutPageReqVO pageReqVO);

    PageResult<OaOutRespVO> exportOaOutExcel(OaOutPageReqVO pageReqVO);

}