package cn.iocoder.yudao.module.customer.api.info;


import cn.iocoder.yudao.module.customer.api.info.dto.CustomerInfoDTO;

import java.util.Collection;
import java.util.List;

/**
 * 客户 API 接口
 *
 * @author zhaopq
 */
public interface CustomerInfoApi {

    /**
     * 获得客户信息列表，包括开启的和关闭的
     *
     * @param ids 客户信息id集合
     * @return 客户信息列表
     */
    List<CustomerInfoDTO> getCustomerInfoList(Collection<Long> ids);

    /**
     * 获得客户信息
     *
     * @param id 客户信息id
     * @return 客户信息
     */
    CustomerInfoDTO getCustomerInfo(Long id);
}
