package cn.iocoder.yudao.module.customer.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Customer 错误码枚举类
 *
 * customer 系统，使用 1-014-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 客户模块 1-014-000-000 ==========
    ErrorCode CUSTOMER_INFO_NOT_EXISTS = new ErrorCode(1_014_000_000, "客户信息不存在");
    ErrorCode CUSTOMER_BUSINESS_OPPORTUNITY_NOT_EXISTS = new ErrorCode(1_014_000_001, "客户商机不存在");
    ErrorCode CUSTOMER_CODE_EXISTS = new ErrorCode(1_014_000_002, "客户编码已存在");
    ErrorCode CUSTOMER_BUSINESS_CODE_EXISTS = new ErrorCode(1_014_000_003, "商机编码已存在");
}
