package cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 固定资产领用信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AssetReceiveInfoPageReqVO extends PageParam {

    @Schema(description = "固定资产信息表主键id")
    @NotNull(message = "领用资产不能为空")
    private Long assetInfoId;

}