package cn.iocoder.yudao.module.contract.controller.admin.customercontract.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "销售合同信息列表 Request VO")
@Data
public class CustomerContractListVO {

    @Schema(description = "主键id")
    private Long id;

    @Schema(description = "合同编号，年月日+uuid")
    private String customerContractCode;

    @Schema(description = "合同名称")
    private String customerContractName;

    @Schema(description = "客户id，不传客户id返回空列表")
    private Long customerId;

    @Schema(description = "合同开始日期")
    private String startDate;

    @Schema(description = "合同结束日期")
    private String endDate;

    @Schema(description = "是否关闭 0开启 1关闭")
    private Integer closed;
}