package cn.iocoder.yudao.module.contract.controller.admin.suppliercontract.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 采购合同终止 Request VO")
@Data
public class SupplierContractTerminatedReqVO {

    @Schema(description = "主键id")
    @NotNull(message = "主键id不能为空")
    private Long id;

    @Schema(description = "终止日期")
    @NotBlank(message = "终止日期不能为空")
    private String terminateDate;

    @Schema(description = "终止原因", example = "不对")
    @NotBlank(message = "终止原因不能为空")
    private String terminateReason;

}
