package cn.iocoder.yudao.module.expense.api.expenseinfo.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class ExpenseInfoObjCreateReqDTO {
    /**
     * 报销主表uuid
     */
    private String expenseUuid;
    /**
     * 报销子表uuid
     */
    private String expenseObjUuid;
    /**
     * 费用项目主键id
     */
    private Long expenseItemId;
    /**
     * 费用项目名称
     */
    private String expenseItemName;
    /**
     * 预算金额，单位（元）
     */
    private BigDecimal money;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 结束日期
     */
    private String endDate;
    /**
     * 说明
     */
    private String remarks;
    /**
     * 创建者
     */
    private String creator;
}
