package cn.iocoder.yudao.module.expense.controller.admin.expensetype.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 报销类型信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ExpenseTypePageReqVO extends PageParam {

    @Schema(description = "报销类型", example = "芋艿")
    private String name;

}