package cn.iocoder.yudao.module.attendance.api.leave.dto;

import lombok.Data;

@Data
public class AttendanceLeaveCreateReqDTO {

    /**
     * uuid
     */
    private String leaveId;
    /**
     * 请假人id
     */
    private Long employeeId;
    /**
     * 请假人uuid
     */
    private String employeeUuid;
    /**
     * 请假员工姓名
     */
    private String employeeName;
    /**
     * 请假员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 员工职位
     */
    private String position;
    /**
     * 请假类型
     */
    private String leaveType;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 具体时间，精确到上下午，am上午 pm下午
     */
    private String startTime;
    /**
     * 结束日期
     */
    private String endDate;
    /**
     * 具体时间，精确到上下午，am上午 pm下午
     */
    private String endTime;
    /**
     * 请假天数
     */
    private String day;
    /**
     * 请假原因
     */
    private String reason;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 创建人
     */
    private String creator;
}
