package cn.iocoder.yudao.module.relations.api.entry;

import cn.iocoder.yudao.module.relations.api.entry.dto.RelationsEntryCreateReqDTO;
import cn.iocoder.yudao.module.relations.service.entry.RelationsEntryService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;

@Service
public class RelationsEntryApiImpl implements RelationsEntryApi{

    @Resource
    private RelationsEntryService relationsEntryService;

    @Override
    public Long createEntryInfoAfterAudit(RelationsEntryCreateReqDTO entryCreateReqDTO) {
        if (Objects.isNull(entryCreateReqDTO)) {
            return -1L;
        }
        return relationsEntryService.createEntryInfoAfterAudit(entryCreateReqDTO);
    }
}
