package cn.iocoder.yudao.module.relations.api.turnover;

import cn.iocoder.yudao.module.relations.api.turnover.dto.RelationsTurnoverCreateReqDTO;
import cn.iocoder.yudao.module.relations.service.turnover.RelationsTurnoverService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;

@Service
public class RelationsTurnoverApiImpl implements RelationsTurnoverApi{

    @Resource
    private RelationsTurnoverService relationsTurnoverService;


    @Override
    public Long createTurnoverInfoAfterAudit(RelationsTurnoverCreateReqDTO turnoverCreateReqDTO) {
        if (Objects.isNull(turnoverCreateReqDTO)) {
            return -1L;
        }
        return relationsTurnoverService.createTurnoverInfoAfterAudit(turnoverCreateReqDTO);
    }
}
