package cn.iocoder.yudao.module.relations.job.contract;

import cn.hutool.core.util.StrUtil;
import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import cn.iocoder.yudao.framework.tenant.core.job.TenantJob;
import cn.iocoder.yudao.module.relations.service.contract.RelationsContractService;

import javax.annotation.Resource;

/**
 * 员工合同的生效 Job
 *
 * 新的合同生效后，将原合同信息添加到合同历史信息表中，并将原合同信息状态修改为作废
 *
 * @author zhaopq
 */
//@Component
public class RelationsContractEffectiveJob implements JobHandler {

    @Resource
    private RelationsContractService infoService;

    @Override
    @TenantJob
    public String execute(String param) {
        int count = 0;
//        count = infoService.effectiveContractInfo();
        return StrUtil.format("更新的合同数量 {} 个", count);
    }

}
