package cn.iocoder.yudao.module.system.api.dicttenant;

import cn.iocoder.yudao.module.system.api.dicttenant.dto.DictDataTenantRespDTO;

import java.util.List;

public interface DictDataTenantApi {

    /**
     * 获得指定的字典数据
     *
     * @param dictType 字典类型
     * @param value    字典数据值
     * @return 字典数据
     */
    DictDataTenantRespDTO getDictData(String dictType, String value);

    /**
     * 获得指定的字典数据列表
     *
     * @param dictType 字典类型
     * @return 字典数据列表
     */
    List<DictDataTenantRespDTO> getDictDataList(String dictType);
}
