package cn.iocoder.yudao.module.bpm.controller.admin.meeting.room.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 会议室信息管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaMeetingRoomPageReqVO extends PageParam {

    @Schema(description = "会议室名称", example = "上海会议室")
    private String name;
}