package cn.iocoder.yudao.module.bpm.dal.mysql.oa.purchase;

import java.util.*;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.purchase.OaPurchaseObjDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 采购流程信息子表 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaPurchaseObjMapper extends BaseMapperX<OaPurchaseObjDO> {

    default List<OaPurchaseObjDO> selectListByPurchaseId(Long purchaseId) {
        return selectList(OaPurchaseObjDO::getPurchaseId, purchaseId);
    }

    default int deleteByPurchaseId(Long purchaseId) {
        return delete(OaPurchaseObjDO::getPurchaseId, purchaseId);
    }

}