package cn.iocoder.yudao.module.bpm.service.oa.renew;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo.OaRenewPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo.OaRenewRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo.OaRenewSaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskReturnReqVO;

/**
 * 合同续签流程信息 Service 接口
 *
 * @author dp
 */
public interface OaRenewService {

    Long stagingOaRenew(OaRenewSaveReqVO stagingReqVO);

    Long commitOaRenew(OaRenewSaveReqVO commitReqVO);

    Long agreeOaRenew(BpmTaskApproveReqVO agreeReqVO);

    Long disagreeOaRenew(BpmTaskReturnReqVO disagreeReqVO);

    Long revocationOaRenew(BpmTaskApproveReqVO revocationReqVO);

    Long reCommitOaRenew(OaRenewSaveReqVO reCommitReqVO);

    Long closeOaRenew(Long id);

    void deleteOaRenew(Long id);

    OaRenewRespVO getOaRenew(Long id);

    OaRenewRespVO getOaRenewByProcInstId(String procInstId);

    PageResult<OaRenewRespVO> getOaRenewPage(OaRenewPageReqVO pageReqVO);

    PageResult<OaRenewRespVO> exportOaRenewExcel(OaRenewPageReqVO pageReqVO);

}