package cn.iocoder.yudao.module.customer.controller.admin.info.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "客户列表信息 Response VO")
@Data
public class CustomerInfoListRespVO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 客户编码
     */
    private String customerCode;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 是否开启 0开启1关闭
     */
    private Integer isOpen;

}