package cn.iocoder.yudao.module.asset.dal.mysql.assetreceiveinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo.AssetReceiveInfoPageReqVO;
import cn.iocoder.yudao.module.asset.dal.dataobject.assetreceiveinfo.AssetReceiveInfoDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 固定资产领用信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface AssetReceiveInfoMapper extends BaseMapperX<AssetReceiveInfoDO> {

    default PageResult<AssetReceiveInfoDO> selectPage(AssetReceiveInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<AssetReceiveInfoDO>()
                .eqIfPresent(AssetReceiveInfoDO::getAssetInfoId, reqVO.getAssetInfoId())
                .orderByAsc(AssetReceiveInfoDO::getId));
    }

}