package cn.iocoder.yudao.module.contract.api.customercontract.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class CustomerContractDTO {

    /**
     * 主键id
     */
    private Long id;
    /**
     * uuid
     */
    private String customerContractUuid;
    /**
     * 合同编号，年月日+uuid
     */
    private String customerContractCode;
    /**
     * 合同名称
     */
    private String customerContractName;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 合同开始日期
     */
    private String startDate;
    /**
     * 合同结束日期
     */
    private String endDate;
    /**
     * 合同金额
     */
    private BigDecimal money;
    /**
     * 合同负责人
     */
    private Long ownerEmployeeId;
    /**
     * 负责人部门
     */
    private Long deptId;
    /**
     * 合同状态：0、未归档；1、已归档；2、已完结
     */
    private String contractStatus;
    /**
     * 是否关闭 0开启 1关闭
     */
    private Integer closed;
    /**
     * 是否终止 0否 1是
     */
    private Integer terminate;
}
