package cn.iocoder.yudao.module.contract.controller.admin.customercontract.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 销售合同关闭 Request VO")
@Data
public class CustomerContractCloseReqVO {

    @Schema(description = "主键id")
    @NotNull(message = "主键id不能为空")
    private Long id;

    @Schema(description = "关闭原因", example = "不喜欢")
    @NotBlank(message = "关闭原因不能为空")
    private String closeReason;

}
