package cn.iocoder.yudao.module.expense.api.expenseinfo;

import cn.iocoder.yudao.module.expense.api.expenseinfo.dto.ExpenseInfoCreateReqDTO;

public interface ExpenseInfoApi {

    /**
     * 创建费用信息
     *
     * @param createReqDTO 费用信息创建请求数据传输对象，包含创建费用信息所需的各项数据
     * @return 返回新创建的费用信息的唯一标识符
     */
    Long createExpenseInfo(ExpenseInfoCreateReqDTO createReqDTO);
}
