package cn.iocoder.yudao.module.expense.api.expenseinfo.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ExpenseInfoCreateReqDTO {

    /**
     * uuid
     */
    private String expenseUuid;
    /**
     * 报销申请人id
     */
    private Long employeeId;
    /**
     * 报销申请人uuid
     */
    private String employeeUuid;
    /**
     * 报销申请员工姓名
     */
    private String employeeName;
    /**
     * 报销申请员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 员工职位
     */
    private String position;
    /**
     * 报销类型主键id
     */
    private Long expenseTypeId;
    /**
     * 报销类型名称
     */
    private String expenseTypeName;
    /**
     * 费用所属区间
     */
    private String expenseMonth;
    /**
     * 总预算金额，单位（元）
     */
    private BigDecimal totalMoney;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态（0已完成、1已作废、2已生效）
     */
    private String status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建员工id
     */
    private Long createEmployeeId;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 子项列表
     */
    private List<ExpenseInfoObjCreateReqDTO> expenseInfoObjs;
}
