package cn.iocoder.yudao.module.expense.api.expenseitem;

import cn.iocoder.yudao.module.expense.api.expenseitem.dto.ExpenseItemRespDTO;

import java.util.Collection;
import java.util.List;

public interface ExpenseItemApi {

    /**
     * 根据id集合获取费用项目列表
     *
     * @param ids id集合
     * @return 费用项目列表
     */
    List<ExpenseItemRespDTO> getExpenseItemList(Collection<Long> ids);
}
