package cn.iocoder.yudao.module.expense.api.expensetype;

import cn.iocoder.yudao.module.expense.api.expensetype.dto.ExpenseTypeRespDTO;

import java.util.Collection;
import java.util.List;

public interface ExpenseTypeApi {

    /**
     * 获取报销类型列表
     *
     * @param ids 报销类型id集合
     * @return 报销类型列表
     */
    List<ExpenseTypeRespDTO> getExpenseTypeList(Collection<Long> ids);

    /**
     * 根据id查询报销类型信息
     *
     * @param id 主键
     * @return 报销类型信息
     */
    ExpenseTypeRespDTO getExpenseType(Long id);
}
