package cn.iocoder.yudao.module.expense.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {

    // ========== 报销类型信息 1_040_001_001 ==========
    ErrorCode EXPENSE_TYPE_NOT_EXISTS = new ErrorCode(1_040_001_001, "报销类型信息不存在");
    // ========== 报销费用项目信息 1_040_002_001 ==========
    ErrorCode EXPENSE_ITEM_NOT_EXISTS = new ErrorCode(1_040_002_001, "报销费用项目信息不存在");
    ErrorCode EXPENSE_ITEM_EXISTS = new ErrorCode(1_040_002_002, "请先删除报销类型下的费用项目");
    ErrorCode EXPENSE_TYPE_ID_NULL = new ErrorCode(1_040_002_003, "报销类型不能为空");
    // ========== 报销信息 1_040_003_001 ==========
    ErrorCode INFO_NOT_EXISTS = new ErrorCode(1_040_003_001, "报销信息不存在");
    ErrorCode EXPENSE_INFO_OBJ_ITEM_BLANK = new ErrorCode(1_040_003_002, "报销子项费用项目不能为空");
    ErrorCode EXPENSE_INFO_OBJ_MONEY_ZERO = new ErrorCode(1_040_003_003, "报销子项报销金额不能为空");
    ErrorCode EXPENSE_INFO_OBJ_START_DATE_NULL = new ErrorCode(1_040_003_004, "报销子项开始日期不能为空");
    ErrorCode EXPENSE_INFO_OBJ_END_DATE_NULL = new ErrorCode(1_040_003_005, "报销子项结束日期不能为空");
    ErrorCode EXPENSE_INFO_TOTAL_MONEY_ERROR = new ErrorCode(1_040_003_006, "报销总金额与子项金额之后不相等");
}
