package cn.iocoder.yudao.module.expense.api.expenseitem;

import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.expense.api.expenseitem.dto.ExpenseItemRespDTO;
import cn.iocoder.yudao.module.expense.dal.dataobject.expenseitem.ExpenseItemDO;
import cn.iocoder.yudao.module.expense.service.expenseitem.ExpenseItemService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class ExpenseItemApiImpl implements ExpenseItemApi{
    @Resource
    private ExpenseItemService expenseItemService;

    @Override
    public List<ExpenseItemRespDTO> getExpenseItemList(Collection<Long> ids) {
        List<ExpenseItemDO> expenseItemDOList = expenseItemService.getExpenseItemList(ids);
        return BeanUtils.toBean(expenseItemDOList, ExpenseItemRespDTO.class);
    }
}
