package cn.iocoder.yudao.module.expense.controller.admin.expenseitem.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 报销费用项目信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ExpenseItemPageReqVO extends PageParam {

    @Schema(description = "报销类型主键id", example = "1")
    @NotNull(message = "报销类型不能为空")
    private Long expenseTypeId;

    @Schema(description = "费用项目", example = "芋艿")
    private String name;

}