package cn.iocoder.yudao.module.expense.controller.admin.expensetype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Schema(description = "管理后台 - 报销类型信息新增/修改 Request VO")
@Data
public class ExpenseTypeSaveReqVO {

    @Schema(description = "主键")
    private Long id;

    @Schema(description = "报销类型")
    @NotBlank(message = "报销类型名称不能为空")
    private String name;

    @Schema(description = "备注")
    private String remarks;

    // @Schema(description = "报销费用项目信息列表")
    // private List<ExpenseItemDO> items;

}