package cn.iocoder.yudao.module.attendance.api.out.dto;

import lombok.Data;

@Data
public class AttendanceOutCreateReqDTO {

    /**
     * uuid
     */
    private String outId;
    /**
     * 外出人id
     */
    private Long employeeId;
    /**
     * 外出人uuid
     */
    private String employeeUuid;
    /**
     * 外出员工姓名
     */
    private String employeeName;
    /**
     * 外出员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 员工职位
     */
    private String position;
    /**
     * 外出事由
     */
    private String reason;
    /**
     * 外出地点
     */
    private String destination;
    /**
     * 外出开始时间
     */
    private String startDate;
    /**
     * 外出结束时间
     */
    private String endDate;
    /**
     * 外出时长，单位（小时）
     */
    private String hour;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 创建人
     */
    private String creator;
}
