package cn.iocoder.yudao.module.attendance.api.business;

import cn.iocoder.yudao.module.attendance.api.business.dto.AttendanceBusinessCreateReqDTO;
import cn.iocoder.yudao.module.attendance.service.business.AttendanceBusinessService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;

@Service
public class AttendanceBusinessApiImpl implements AttendanceBusinessApi{

    @Resource
    private AttendanceBusinessService attendanceBusinessService;

    @Override
    public Long createBusinessInfoAfterAudit(AttendanceBusinessCreateReqDTO businessCreateReqDTO) {
        if (Objects.isNull(businessCreateReqDTO)) {
            return -1L;
        }
        return attendanceBusinessService.createBusinessInfoAfterAudit(businessCreateReqDTO);
    }
}
