package cn.iocoder.yudao.module.attendance.api.out;

import cn.iocoder.yudao.module.attendance.api.out.dto.AttendanceOutCreateReqDTO;
import cn.iocoder.yudao.module.attendance.service.out.AttendanceOutService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;

@Service
public class AttendanceOutApiImpl implements AttendanceOutApi{

    @Resource
    private AttendanceOutService attendanceOutService;


    @Override
    public Long createOutInfoAfterAudit(AttendanceOutCreateReqDTO outCreateReqDTO) {
        if (Objects.isNull(outCreateReqDTO)) {
            return -1L;
        }
        return attendanceOutService.createOutInfoAfterAudit(outCreateReqDTO);
    }
}
