package cn.iocoder.yudao.module.attendance.controller.admin.workdaysetting.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 考勤工作日设置日期 Request VO")
@Data
public class AttendanceWorkdaySettingDatesReqVO {

    @Schema(description = "日期数组", requiredMode = Schema.RequiredMode.REQUIRED, example = "[\"2024-08-01\", \"2024-08-02\", ...]")
    @NotEmpty(message = "日期数组不能为空")
    private String[] dates;

}