package cn.iocoder.yudao.module.employee.api.dto;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import lombok.Data;

/**
 * 员工信息分页 Request DTO
 *
 * @author zhaopq
 */
@Data
public class EmployeePageReqDTO extends PageParam {

    /**
     * 员工ID
     */
    private String id;
    /**
     * 姓名
     */
    private String name;
    /**
     * 用户头像
     */
    private String avatar;
    /**
     * 员工状态
     */
    private String employeeStatus;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 租户编目
     */
    private Long tenantId;
    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 手机号
     */
    private String phone;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 职位ID
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;

}
