package cn.iocoder.yudao.module.relations.api.contract.dto;

import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class RelationsContractDTO {

    /**
     * 自增ID
     */
    private Long id;
    /**
     * 业务UUID
     */
    private String contractId;
    /**
     * 员工姓名
     */
    private String employeeName;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 职位编号
     */
    private Long postId;
    /**
     * 职位名称
     */
    private String position;
    /**
     * 员工编号
     */
    private String employeeNumber;
    /**
     * 员工手机号
     */
    private String employeePhone;
    /**
     * 合同开始日期
     */
    private LocalDate contractStartDate;
    /**
     * 合同结束日期
     */
    private LocalDate contractEndDate;
    /**
     * 合同期限
     */
    private String contractDeadline;
    /**
     * 备注信息
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 员工ID
     */
    private Long employeeId;
    /**
     * 租户编号
     */
    private Long tenantId;
}
