package cn.iocoder.yudao.module.relations.api.conversion.dto;

import lombok.Data;

@Data
public class RelationsConversionCreateReqDTO {

    /**
     * uuid
     */
    private String conversionId;
    /**
     * 转正人id
     */
    private Long employeeId;
    /**
     * 转正人uuid
     */
    private String employeeUuid;
    /**
     * 转正员工姓名
     */
    private String employeeName;
    /**
     * 转正员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 入职日期
     */
    private String entryDate;
    /**
     * 试用期结束日期
     */
    private String probationEndDate;
    /**
     * 转正日期
     */
    private String conversionDate;
    /**
     * 转正申请理由
     */
    private String conversionReason;
    /**
     * 工作总结
     */
    private String workSummary;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 创建人
     */
    private String creator;
}
