package cn.iocoder.yudao.module.relations.api.entry.dto;

import lombok.Data;

@Data
public class RelationsEntryCreateReqDTO {

    /**
     * uuid
     */
    private String entryId;
    /**
     * 入职人
     */
    private String entryName;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 员工类型
     */
    private String employeeType;
    /**
     * 性别
     */
    private String gender;
    /**
     * 出身日期
     */
    private String birthday;
    /**
     * 联系电话
     */
    private String contactNumber;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 教育背景
     */
    private String education;
    /**
     * 工作经验
     */
    private String workExperience;
    /**
     * 入职日期
     */
    private String entryDate;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 创建人
     */
    private String creator;
}
