package cn.iocoder.yudao.module.relations.api.renew.dto;

import lombok.Data;

@Data
public class RelationsRenewCreateReqDTO {

    /**
     * uuid
     */
    private String renewId;
    /**
     * 续签人id
     */
    private Long employeeId;
    /**
     * 续签人uuid
     */
    private String employeeUuid;
    /**
     * 续签员工姓名
     */
    private String employeeName;
    /**
     * 续签员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 原合同开始日期
     */
    private String oldContractStartDate;
    /**
     * 原合同结束日期
     */
    private String oldContractEndDate;
    /**
     * 续签合同期限
     */
    private String renewPeriod;
    /**
     * 续签开始日期
     */
    private String renewContractStartDate;
    /**
     * 续签结束日期
     */
    private String renewContractEndDate;
    /**
     * 续签理由
     */
    private String renewReason;
    /**
     * 工作表现
     */
    private String workPerformance;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 创建人
     */
    private String creator;
}
