package cn.iocoder.yudao.module.relations.api.turnover.dto;

import lombok.Data;

@Data
public class RelationsTurnoverCreateReqDTO {

    /**
     * uuid
     */
    private String turnoverId;
    /**
     * 离职人id
     */
    private Long employeeId;
    /**
     * 离职人uuid
     */
    private String employeeUuid;
    /**
     * 离职员工姓名
     */
    private String employeeName;
    /**
     * 续签员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 入职日期
     */
    private String entryDate;
    /**
     * 离职日期
     */
    private String turnoverDate;
    /**
     * 离职原因
     */
    private String turnoverReason;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 创建人
     */
    private String creator;
}
