package cn.iocoder.yudao.module.relations.enums.contractinfo;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import cn.iocoder.yudao.framework.common.util.object.ObjectUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * 员工合同的状态枚举
 *
 * @author zhaopq
 */
@Getter
@AllArgsConstructor
public enum ContractInfoStatusEnum implements IntArrayValuable {
    LATEST(0, "最新"),
    HISTORY(1, "历史"),
    ;

    private final Integer status;
    private final String name;

    @Override
    public int[] array() {
        return new int[0];
    }

}
