package cn.iocoder.yudao.module.relations.api.conversion;

import cn.iocoder.yudao.module.relations.api.conversion.dto.RelationsConversionCreateReqDTO;
import cn.iocoder.yudao.module.relations.service.conversion.RelationsConversionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;

@Service
public class RelationsConversionApiImpl implements RelationsConversionApi{

    @Resource
    private RelationsConversionService relationsConversionService;

    @Override
    public Long createConversionInfoAfterAudit(RelationsConversionCreateReqDTO conversionCreateReqDTO) {
        if (Objects.isNull(conversionCreateReqDTO)) {
            return -1L;
        }
        return relationsConversionService.createConversionInfoAfterAudit(conversionCreateReqDTO);
    }
}
