package cn.iocoder.yudao.module.relations.api.renew;

import cn.iocoder.yudao.module.relations.api.renew.dto.RelationsRenewCreateReqDTO;
import cn.iocoder.yudao.module.relations.service.renew.RelationsRenewService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;

@Service
public class RelationsRenewApiImpl implements RelationsRenewApi{

    @Resource
    private RelationsRenewService relationsRenewService;

    @Override
    public Long createRenewInfoAfterAudit(RelationsRenewCreateReqDTO renewCreateReqDTO) {
        if (Objects.isNull(renewCreateReqDTO)) {
            return -1L;
        }
        return relationsRenewService.createRenewInfoAfterAudit(renewCreateReqDTO);
    }
}
